"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateAccountResponseDto = exports.createAccountResponseSchema = exports.CreateAccountDto = exports.createAccountSchema = void 0;
const account_dto_1 = require("./account.dto");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
exports.createAccountSchema = account_dto_1.accountSchema.pick({
    username: true,
    password: true,
    role: true,
});
class CreateAccountDto extends (0, zod_nestjs_1.createZodDto)(exports.createAccountSchema) {
}
exports.CreateAccountDto = CreateAccountDto;
exports.createAccountResponseSchema = account_dto_1.accountSchema.omit({
    password: true,
    globalFilter: true,
    created_at: true,
    updated_at: true,
});
class CreateAccountResponseDto extends (0, zod_nestjs_1.createZodDto)(exports.createAccountResponseSchema) {
}
exports.CreateAccountResponseDto = CreateAccountResponseDto;
//# sourceMappingURL=create-account.dto.js.map