"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetGlobalFilterResponseDto = exports.getGlobalFilterResponse = void 0;
const tag_group_dto_1 = require("../../tag-group/dto/tag-group.dto");
const tag_dto_1 = require("../../tag/dto/tag.dto");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const zod_1 = __importDefault(require("zod"));
exports.getGlobalFilterResponse = zod_1.default.object({
    active: zod_1.default.boolean(),
    globalFilter: zod_1.default.array(tag_dto_1.tagSchema
        .pick({
        id: true,
        name: true,
        type: true,
    })
        .merge(zod_1.default.object({
        group: tag_group_dto_1.tagGroupSchema.pick({
            id: true,
            color: true,
            isExclusive: true,
        }),
    }))),
});
class GetGlobalFilterResponseDto extends (0, zod_nestjs_1.createZodDto)(exports.getGlobalFilterResponse) {
}
exports.GetGlobalFilterResponseDto = GetGlobalFilterResponseDto;
//# sourceMappingURL=get-global-filter.dto.js.map