import { I18n, TranslateOptions } from 'i18n-js';
import esJson from '@/i18n/es.json';
import { Paths } from '@/shared/errors/dotType';
declare const translations: Record<string, typeof esJson>;
export declare const i18n: I18n;
type Translations = Paths<(typeof translations)['es']>;
export declare function translate<Keys extends Translations>(key: Keys extends `${string}.${string}` ? Keys : never, params?: TranslateOptions): string;
export {};
