"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateTagResponseDto = exports.updateTagResponseSchema = exports.UpdateTagDto = exports.updateTagSchema = void 0;
const tag_dto_1 = require("./tag.dto");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
exports.updateTagSchema = tag_dto_1.tagSchema
    .pick({
    name: true,
    groupId: true,
})
    .partial();
class UpdateTagDto extends (0, zod_nestjs_1.createZodDto)(exports.updateTagSchema) {
}
exports.UpdateTagDto = UpdateTagDto;
exports.updateTagResponseSchema = tag_dto_1.tagSchema;
class UpdateTagResponseDto extends (0, zod_nestjs_1.createZodDto)(exports.updateTagResponseSchema) {
}
exports.UpdateTagResponseDto = UpdateTagResponseDto;
//# sourceMappingURL=update-tag.dto.js.map