"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateTagResponseDto = exports.createTagResponseSchema = exports.CreateTagDto = exports.createTagSchema = void 0;
const tag_dto_1 = require("./tag.dto");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
exports.createTagSchema = tag_dto_1.tagSchema.pick({
    name: true,
    groupId: true,
});
class CreateTagDto extends (0, zod_nestjs_1.createZodDto)(exports.createTagSchema) {
}
exports.CreateTagDto = CreateTagDto;
exports.createTagResponseSchema = tag_dto_1.tagSchema.omit({
    created_at: true,
    updated_at: true,
});
class CreateTagResponseDto extends (0, zod_nestjs_1.createZodDto)(exports.createTagResponseSchema) {
}
exports.CreateTagResponseDto = CreateTagResponseDto;
//# sourceMappingURL=create-tag.dto.js.map