import { z } from 'zod';
export declare const tagSchema: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    groupId: z.ZodString;
    type: z.ZodNativeEnum<{
        PROFILE: "PROFILE";
        EVENT: "EVENT";
        PARTICIPANT: "PARTICIPANT";
        NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
    }>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    created_at: Date;
    updated_at: Date;
    groupId: string;
}, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    created_at: Date;
    updated_at: Date;
    groupId: string;
}>;
declare const TagDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    groupId: z.ZodString;
    type: z.ZodNativeEnum<{
        PROFILE: "PROFILE";
        EVENT: "EVENT";
        PARTICIPANT: "PARTICIPANT";
        NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
    }>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    created_at: Date;
    updated_at: Date;
    groupId: string;
}, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    created_at: Date;
    updated_at: Date;
    groupId: string;
}>>;
export declare class TagDto extends TagDto_base {
}
export {};
